Search campaign ads
curl --request POST \
--url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ads/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 100,
"offset": 0,
"sort": null,
"source_campaign_ids": []
}
'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ads/search"
payload = {
"limit": 100,
"offset": 0,
"sort": None,
"source_campaign_ids": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 100, offset: 0, sort: null, source_campaign_ids: []})
};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ads/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ad_name": "<string>",
"ad_status": "<string>",
"media": [
{
"image_url": "<string>",
"post_type": "<string>",
"duration": 123
}
],
"metrics": {},
"source_ad_account_id": "<string>",
"source_ad_id": "<string>",
"source_campaign_id": "<string>"
}
],
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Campaign
Search campaign ads
Searches for ads associated with a campaign by source channel.
POST
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
ads
/
search
Search campaign ads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
The ID of the campaign object.
Required range:
x >= 0Body
application/json
Source specifies which ads platform to return ads for.
Available options:
META_ADS, TIKTOK_ADS The maximum number of ads to return.
Required range:
0 <= x <= 100The offset of the first ad returned.
Required range:
x >= 0The metric to sort the results by.
Filter the results by ad campaign ID.
⌘I